local L = LibStub("AceLocale-3.0"):GetLocale("NeedjaTracker", true);

function NeedjaTracker:ShowRollStatistics(channel)
    local db = self.db.char;
    if # db.RollStatistics == 0 then
        PrintToChat(L.msg_stat_head_empty, channel);
        return;
    end
    PrintToChat(L.msg_stat_head, channel);
end

function NeedjaTracker:ShowRollHistory(channel)
    local db = self.db.char;
    if # db.RollHistory == 0 then
        PrintToChat(L.msg_hist_head_empty, channel);
        return;
    end
    PrintToChat(L.msg_hist_head, channel);
    local n, data;
    for n, data in pairs(db.RollHistory) do
        if data.choice == "pass" then
            PrintToChat((L.msg_hist_pass):format(n, data.item), channel);
        elseif data.choice == "need" then
            PrintToChat((L.msg_hist_need):format(n, data.item, data.player,
                L["roll_" .. (data.choice or "unknown")], (data.roll or "?")),
                channel);
        else
            PrintToChat((L.msg_hist_win):format(n, data.item, data.player,
                L["roll_" .. (data.choice or "unknown")], (data.roll or "?")),
                channel);
        end
    end
end
